apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: storybook-nginx-canary
  namespace: production
  annotations:
    kubernetes.io/ingress.class: traefik
    ingress.kubernetes.io/rewrite-target: /
    traefik.ingress.kubernetes.io/redirect-entry-point: https
    traefik.ingress.kubernetes.io/redirect-permanent: "true"
  labels:
    app: storybook-nginx
    channel: canary
spec:
  rules:
  - host: storybook.canary.prod.k8s.ultimaker.com
    http:
      paths:
      - backend:
          serviceName: storybook-nginx-canary
          servicePort: 8080
